Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362453 - Impress won't save file after the first time
Summary: Impress won't save file after the first time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 08:46 UTC by Langdon White
Modified: 2017-01-10 15:44 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.1.6.2-6.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-10 15:44:31 UTC


Attachments (Terms of Use)

Description Langdon White 2016-08-02 08:46:04 UTC
Description of problem:
Every time, after the first time, I try to save using either ctrl-s or File|Save, impress does not actually save. No error, no hint, just no change on disk. If I do a save-as to a new name it works.

Version-Release number of selected component (if applicable):
libreoffice-impress.x86_64 1:5.1.5.1-2.fc24

How reproducible:

Always (after first time)

Comment 1 Caolan McNamara 2016-08-02 13:33:27 UTC
When you make a modification to the document a little "star" appears in the save icon. When you ctrl+s to save, does that star disappear ?

Comment 2 David Tardon 2016-08-02 13:43:40 UTC
How to reproduce:
1. Start impress.
2. Save the (empty) document.
3. Click into the title placeholder and writer something.
4. Save again.
5. Reload -> the text is gone.

Comment 3 David Tardon 2016-08-03 16:16:31 UTC
Regression from https://gerrit.libreoffice.org/gitweb?p=core.git;a=commitdiff;h=093d7b8142d0cb224fcf23506f3b36f7a3a10d2c , but that is obviously not at fault itself--there is something missing in either Impress or edit engine.

Comment 4 Caolan McNamara 2016-08-03 20:10:35 UTC
*blither* that's a weird one to trigger a problem like this


Note You need to log in before you can comment on or make changes to this bug.